Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511737 - saved search path broken on proxies
Summary: saved search path broken on proxies
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Bugzilla
Classification: Community
Component: Query/Bug List
Version: 5.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified vote
Target Milestone: 5.0
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-10 01:39 UTC by Jeff Fearn 🐞
Modified: 2018-12-09 06:29 UTC (History)
2 users (show)

Fixed In Version: 5.0.3.rh34
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-20 04:12:16 UTC


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2017-11-10 01:39:54 UTC
Description of problem:
If you have a proxy hosting multiple sites then saved searches, and possibly some other things, are broken unless the proxied sites have the same path as the proxy is using.

e.g. 

If I have a proxy server in front of two BZ test servers and have a path for each test server:

https://foo.example.com/test-bz1/
https://foo.example.com/test-bz2/

Then each of the proxy servers has to have BZ on the same path, /test-bz1/ for the first and /test-bz2/ for the second.

This means every install has to be customised if it's sitting behind a proxy.

Version-Release number of selected component (if applicable):
5.0

How reproducible:
Medium

Steps to Reproduce:
1. Setup a VM (or docker), or two, and proxy on a host.
2. Login and click on a saved search

Actual results:
No such file buglist.cgi

Expected results:
A bug list

Additional info:
Easy fix.

buglist.cgi +453 
-    my $self_url = $self->self_url();
+    my $self_url = $self->url(-relative => 1, -path => 1, -query => 1);

Comment 1 Jeff Fearn 🐞 2017-11-16 07:30:23 UTC
Tested fine on proxied VM using non standard path.

Comment 2 Jeff Fearn 🐞 2017-11-20 04:12:16 UTC
This bug has been fixed and is now deployed on the beta site.

https://beta-bugzilla.redhat.com/


Note You need to log in before you can comment on or make changes to this bug.